config_update_ui.report:
  path: '/admin/config/development/configuration/report/{report_type}/{name}'
  defaults:
    _controller: '\Drupal\config_update_ui\Controller\ConfigUpdateController::report'
    _title: 'Updates report'
    report_type: NULL
    name: NULL
  requirements:
    _permission: 'view config updates report'

config_update_ui.import:
  path: '/admin/config/development/configuration/report/import/{config_type}/{config_name}'
  defaults:
    _title: 'Import'
    _form: '\Drupal\config_update_ui\Form\ConfigImportConfirmForm'
  requirements:
    _permission: 'import configuration'

config_update_ui.diff:
  path: '/admin/config/development/configuration/report/diff/{config_type}/{config_name}'
  defaults:
    _title: 'Differences'
    _controller: '\Drupal\config_update_ui\Controller\ConfigUpdateController::diff'
    config_type: NULL
    config_name: NULL
  requirements:
    _permission: 'view config updates report'

config_update_ui.revert:
  path: '/admin/config/development/configuration/report/revert/{config_type}/{config_name}'
  defaults:
    _title: 'Revert'
    _form: '\Drupal\config_update_ui\Form\ConfigRevertConfirmForm'
  requirements:
    _permission: 'revert configuration'

config_update_ui.delete:
  path: '/admin/config/development/configuration/report/delete/{config_type}/{config_name}'
  defaults:
    _title: 'Delete'
    _form: '\Drupal\config_update_ui\Form\ConfigDeleteConfirmForm'
  requirements:
    _permission: 'delete configuration'
